\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::unit_normal()
Global Kernel Functions

##

## Functions
CGAL::Vector_3< Kernel > | CGAL::unit_normal (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r)
| computes the unit normal vector for the vectors `q-p` and `r-p`. More...

## Function Documentation

CGAL::Vector_3<Kernel> CGAL::unit_normal | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q,
|  | const CGAL::Point_3< Kernel > & | r
| ) |  |

computes the unit normal vector for the vectors `q-p` and `r-p`.

Precondition
  The points `p`, `q`, and `r` must not be collinear.

`#include <CGAL/Kernel/global_functions.h>`